commit:     aff8bbe4bc665425d56abc0a69e08dee7fa21234
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 28 05:52:27 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug 28 05:52:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aff8bbe4

dev-ruby/ruby-prof: add 0.16.2

Package-Manager: portage-2.2.28

 dev-ruby/ruby-prof/Manifest                |  1 +
 dev-ruby/ruby-prof/ruby-prof-0.16.2.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-ruby/ruby-prof/Manifest b/dev-ruby/ruby-prof/Manifest
index 51d3e76..ed06852 100644
--- a/dev-ruby/ruby-prof/Manifest
+++ b/dev-ruby/ruby-prof/Manifest
@@ -1 +1,2 @@
 DIST ruby-prof-0.15.9.tgz 83664 SHA256 
000a42145bc0db20295d6feeb096788c3c6f226c9b9ee96a4d03cbb81a279cdd SHA512 
6567cf29dd08be5d16a4ffb39c7475fb7daee472dba13894bdfca4a21c153bcc2f96b7b4dfb3f346e49528d593f5c29aabf9735b3f97ba7b09a97ee4514df43b
 WHIRLPOOL 
7c052faf6e3c0ad2c0bf5dc3441166602e55f38a3694978c16af043812a8de30c3b326f5917d8bb95591c41738ccc066ebd78bc661080f20df687547ed78c9f7
+DIST ruby-prof-0.16.2.tgz 87039 SHA256 
10bc9007ace7ec1444a12a4b47708cd790f9274dbdb229b0fe4fdd8d36267e25 SHA512 
4a070486375a40afd03c006385a14f5d2ae3670a658e1153b086d0e63eb7a87af38ae060c9d457cd67a5e084f75dd997cd39b890ef4a510bbae801838f74f7f8
 WHIRLPOOL 
54196ef9a9c9c8d17cbcaa08aae89f20365645f1c21e2700ca6b7b3fd4aa46dcf9af1cbc654388c5e75f6312e59ef8814ce241d2081f55e399c4bb4c38051fe5

diff --git a/dev-ruby/ruby-prof/ruby-prof-0.16.2.ebuild 
b/dev-ruby/ruby-prof/ruby-prof-0.16.2.ebuild
new file mode 100644
index 00000000..5259b20
--- /dev/null
+++ b/dev-ruby/ruby-prof/ruby-prof-0.16.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGES"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A module for profiling Ruby code"
+HOMEPAGE="https://github.com/ruby-prof/ruby-prof";
+SRC_URI="https://github.com/ruby-prof/${PN}/archive/v${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/minitest )"
+
+all_ruby_prepare() {
+       # Avoid bundler
+       sed -i -e '/bundler/I s:^:#:' -e '/:build/ s:^:#:' Rakefile || die
+
+       sed -i -e '2igem "test-unit"' test/test_helper.rb || die
+
+       # Fix a timing-dependant spec since its thresholds for success are
+       # too tight.
+       sed -i -e '/test_class_methods/,/^  end/ s:^:#:' 
test/measure_cpu_time_test.rb || die
+
+       # We install the shared object in lib, not ext.
+       sed -i -e 's#../ext/ruby_prof#../lib/ruby_prof#' lib/ruby-prof.rb || die
+
+       # Avoid unneeded dependency on rake-compiler
+       sed -i -e '/extensiontask/ s:^:#:' \
+               -e '/ExtensionTask/,/end/ s:^:#:' Rakefile || die
+
+       # Create directory required for the test suite to pass
+       mkdir tmp || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/ruby_prof extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       emake V=1 -Cext/ruby_prof || die "build failed"
+
+       cp ext/ruby_prof/*$(get_modname) lib/ || die "copy of extension failed"
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       for dir in examples ; do
+               docinto "$dir"
+               dodoc -r "$dir"/*
+       done
+}

Reply via email to